Full documentation for this service is available at /documentation/public-service.
GetSellerItems |WebMethod|
Gets items for a seller.
Parameters
- userId, The user Id of the seller
- categoryId, The Id of the category to look for items in (use 0 for all categories)
- filterType, The filter to use: 0 = All, 1 = Only active items (EndDate > NOW), 2 = Only inactive items (EndDate < NOW) Can be overridden with either the minEndDate or maxEndate parameters.
- minEndDate, Will return items with EndDate > than this parameter. Either send NULL or a DateTime <= DateTime.MinValue (0001-01-01 00:00:00) if not used.
- maxEndDate, Will return items with EndDate < than this parameter. Either send NULL or a DateTime >= DateTime.MaxValue (9999-12-31 00:00:00) if not used.
Returns
Array of items (auctions)
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/PublicService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: text/xml; charset=utf-8 SOAPAction: "http://api.tradera.com/GetSellerItems" Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <GetSellerItems xmlns="http://api.tradera.com"> <userId>userId</userId> <categoryId>categoryId</categoryId> <filterType>filterType</filterType> <minEndDate>minEndDate</minEndDate> <maxEndDate>maxEndDate</maxEndDate> </GetSellerItems> </soap:Body> </soap:Envelope>
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <GetSellerItemsResponse xmlns="http://api.tradera.com"> <GetSellerItemsResult>Array of items (auctions)</GetSellerItemsResult> </GetSellerItemsResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/PublicService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <GetSellerItems xmlns="http://api.tradera.com"> <userId>userId</userId> <categoryId>categoryId</categoryId> <filterType>filterType</filterType> <minEndDate>minEndDate</minEndDate> <maxEndDate>maxEndDate</maxEndDate> </GetSellerItems> </soap12:Body> </soap12:Envelope>
HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <GetSellerItemsResponse xmlns="http://api.tradera.com"> <GetSellerItemsResult>Array of items (auctions)</GetSellerItemsResult> </GetSellerItemsResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/PublicService.asmx/GetSellerItems?appId=string&appKey=string&userId=string&categoryId=string&filterType=string&minEndDate=string&maxEndDate=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <GetSellerItemsResult xmlns="http://api.tradera.com">Array of items (auctions)</GetSellerItemsResult>
HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/PublicService.asmx/GetSellerItems HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string&userId=string&categoryId=string&filterType=string&minEndDate=string&maxEndDate=string
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <GetSellerItemsResult xmlns="http://api.tradera.com">Array of items (auctions)</GetSellerItemsResult>